set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_050000 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2013.01.01'
,p_release=>'5.0.0.00.31'
,p_default_workspace_id=>1670348347102790
,p_default_application_id=>104
,p_default_owner=>'APEX_5'
);
end;
/
prompt --application/ui_types
begin
null;
end;
/
prompt --application/shared_components/plugins/dynamic_action/apex_profiler
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(5795810983775809)
,p_plugin_type=>'DYNAMIC ACTION'
,p_name=>'APEX_PROFILER'
,p_display_name=>'APEX profiler'
,p_category=>'INIT'
,p_supported_ui_types=>'DESKTOP'
,p_javascript_file_urls=>'#PLUGIN_FILES#apex_profiler.js'
,p_css_file_urls=>'#PLUGIN_FILES#apex_profiler.css'
,p_plsql_code=>wwv_flow_utilities.join(wwv_flow_t_varchar2(
'FUNCTION F_AJAX (',
'    P_DYNAMIC_ACTION   IN APEX_PLUGIN.T_DYNAMIC_ACTION,',
'    P_PLUGIN           IN APEX_PLUGIN.T_PLUGIN',
') RETURN APEX_PLUGIN.T_DYNAMIC_ACTION_AJAX_RESULT IS',
'    VR_RESULT         APEX_PLUGIN.T_DYNAMIC_ACTION_AJAX_RESULT;',
'BEGIN',
'    APEX_UTIL.JSON_FROM_SQL( SQLQ   => P_DYNAMIC_ACTION.ATTRIBUTE_04 );',
'    RETURN VR_RESULT;',
'END;',
'',
'FUNCTION F_RENDER (',
'    P_DYNAMIC_ACTION   IN APEX_PLUGIN.T_DYNAMIC_ACTION,',
'    P_PLUGIN           IN APEX_PLUGIN.T_PLUGIN',
') RETURN APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT AS',
'    VR_RESULT         APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT;',
'BEGIN',
'    APEX_CSS.ADD_FILE(',
'        P_NAME        => ''apex_profiler'',',
'        P_DIRECTORY   => P_PLUGIN.FILE_PREFIX',
'    );',
'',
'',
'   APEX_JAVASCRIPT.ADD_LIBRARY(',
'        P_NAME        => ''apex_profiler'',',
'        P_DIRECTORY   => P_PLUGIN.FILE_PREFIX',
'    );',
'',
'    VR_RESULT.JAVASCRIPT_FUNCTION   := ''function () {',
'  apex_profiler.initialize('' ||',
'    APEX_JAVASCRIPT.ADD_VALUE( P_DYNAMIC_ACTION.ATTRIBUTE_02, TRUE )   ||',
'    APEX_JAVASCRIPT.ADD_VALUE( P_DYNAMIC_ACTION.ATTRIBUTE_03, TRUE )   ||',
'    APEX_JAVASCRIPT.ADD_VALUE( APEX_PLUGIN.GET_AJAX_IDENTIFIER, TRUE ) ||',
'    APEX_JAVASCRIPT.ADD_VALUE( P_DYNAMIC_ACTION.ATTRIBUTE_01, TRUE )   ||',
'    APEX_JAVASCRIPT.ADD_VALUE( P_DYNAMIC_ACTION.ATTRIBUTE_06, TRUE )   ||',
'    APEX_JAVASCRIPT.ADD_VALUE( P_DYNAMIC_ACTION.ATTRIBUTE_07, FALSE )  ||',
'    '');}'';',
'',
'    RETURN VR_RESULT;',
'END;'))
,p_render_function=>'F_RENDER'
,p_ajax_function=>'F_AJAX'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_version_identifier=>'2.0'
,p_about_url=>'https://www.ontoorsolutions.com/'
,p_files_version=>15
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(5952754124622515)
,p_plugin_id=>wwv_flow_api.id(5795810983775809)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'ConfigJSON'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_default_value=>'{"isActiveColor": "#F44336","isInctiveColor": "#F4bc36", "panelHeight": "216px", "panelWIdth": "401px", "marginRight": "0px", "marginTop": "48px"}'
,p_supported_ui_types=>'DESKTOP'
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(5953499189626465)
,p_plugin_id=>wwv_flow_api.id(5795810983775809)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Trigger Element ID'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_default_value=>'open-apex-profile'
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(5954148041633579)
,p_plugin_id=>wwv_flow_api.id(5795810983775809)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_prompt=>'Items to Submit'
,p_attribute_type=>'PAGE ITEMS'
,p_is_required=>false
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(5954899584639142)
,p_plugin_id=>wwv_flow_api.id(5795810983775809)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_prompt=>'SQL Source'
,p_attribute_type=>'SQL'
,p_is_required=>true
,p_default_value=>wwv_flow_utilities.join(wwv_flow_t_varchar2(
'SELECT ''Ashish'' FIRST_NAME,''Sahay'' LAST_NAME ,',
'''https://1.bp.blogspot.com/-V1JkM-D5VY4/XmCZuNHGytI/AAAAAAAAdec/RsZXgr11hHM8TXuWiLyns_4L9DJ4LPD2QCK4BGAYYCw/s113/0%253Fe%253D1586390400%2526v%253Dbeta%2526t%253DrDhapAPOdu3qco8WpAs1kTxVPf0533bNvx92guVCyVw'' IMAGE_SRC,',
'''https://avatars0.githubusercontent.com/u/13847003?s=60&v=4'' USER_LOGO,',
'''https://blogs.ontoorsolutions.com'' EDIT_LINK_SRC,',
'''ashishk392@gmail.com'' EMAIL,',
'''INCEDO INC.''  ORG_NAME,',
'''Company'' ORG_LABEL,',
'''Oracle Apex Developer'' DESIGNATION,',
'''Github'' LEFT_BUTTON_LABEL,',
'''Blogs'' RIGHT_BUTTON_LABEL,',
'''https://github.com/ashishtheapexian'' LEFT_BUTTON_LINK,',
'''https://www.ashishsahay.com'' RIGHT_BUTTON_LINK,',
'''true'' LEFT_BUTTON_HOT,',
'''true'' RIGHT_BUTTON_HOT,',
'''left'' LEFT_BTN_ICON_POS,',
'''right'' RIGHT_BTN_ICON_POS,',
'''fa fa-github'' LEFT_BTN_ICON,',
'''fa fa-google'' RIGHT_BTN_ICON,',
'''See My Blogs'' EDIT_LINK_LABEL',
'FROM EMP WHERE ROWNUM<2'))
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(5955543092645490)
,p_plugin_id=>wwv_flow_api.id(5795810983775809)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_prompt=>'Escape special Characters'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>false
,p_default_value=>'Y'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(5956200885646273)
,p_plugin_attribute_id=>wwv_flow_api.id(5955543092645490)
,p_display_sequence=>10
,p_display_value=>'Yes'
,p_return_value=>'Y'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(5956648039647159)
,p_plugin_attribute_id=>wwv_flow_api.id(5955543092645490)
,p_display_sequence=>20
,p_display_value=>'No'
,p_return_value=>'N'
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(5961386159808639)
,p_plugin_id=>wwv_flow_api.id(5795810983775809)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_prompt=>'Hide Left Button'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_is_translatable=>false
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(5962032135810915)
,p_plugin_id=>wwv_flow_api.id(5795810983775809)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_prompt=>'Hide Right Button'
,p_attribute_type=>'CHECKBOX'
,p_is_required=>false
,p_default_value=>'N'
,p_is_translatable=>false
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '76617220617065785F70726F66696C65723D66756E6374696F6E28297B76617220613D66756E6374696F6E28612C652C6E297B76617220692C6F2C742C732C642C6C2C722C702C632C672C752C5F2C762C542C682C4E3B7472797B6C5F436F6E6669674A';
wwv_flow_api.g_varchar2_table(2) := '534F4E3D4A534F4E2E7061727365286E297D63617463682861297B636F6E736F6C652E6572726F722822496E2076616C6964205365747570204A534F4E22292C636F6E736F6C652E6572726F722861292C636F6E736F6C652E6572726F72286E297D242E';
wwv_flow_api.g_varchar2_table(3) := '6561636828652C66756E6374696F6E28612C65297B693D652E494D4147455F5352432C6F3D652E46495253545F4E414D452C743D652E4C4153545F4E414D452C733D652E454449545F4C494E4B5F5352432C4D3D652E454D41494C2C643D652E4F52475F';
wwv_flow_api.g_varchar2_table(4) := '4E414D452C6C3D652E44455349474E4154494F4E2C723D652E4C4546545F425554544F4E5F4C4142454C2C703D652E52494748545F425554544F4E5F4C4142454C2C652E4C454654425554544F4E5F484F542C652E4C454654425554544F4E5F49434F4E';
wwv_flow_api.g_varchar2_table(5) := '5F504F532C633D652E4C4546545F42544E5F49434F4E2C652E7269676874427574746F6E5F686F742C652E7269676874427574746F6E5F69636F6E5F706F732C673D652E52494748545F42544E5F49434F4E2C753D2227222B652E4C4546545F42555454';
wwv_flow_api.g_varchar2_table(6) := '4F4E5F4C494E4B2B2227222C6C5F72696768745F6C696E6B3D2227222B652E52494748545F425554544F4E5F4C494E4B2B2227222C5F3D2274727565223D3D652E4C4546545F425554544F4E5F484F543F22686F74223A22222C6C5F7269676874427574';
wwv_flow_api.g_varchar2_table(7) := '746F6E486F743D2274727565223D3D652E52494748545F425554544F4E5F484F543F22686F74223A22222C763D652E4C4546545F42544E5F49434F4E5F504F532C543D652E52494748545F42544E5F49434F4E5F504F532C683D652E4F52475F4C414245';
wwv_flow_api.g_varchar2_table(8) := '4C2C4E3D652E454449545F4C494E4B5F4C4142454C7D293B76617220493D2428273C6469762069643D22556E697175654964466F7250726F66696C652220636C6173733D22742D4469616C6F67526567696F6E206A732D6D6F64616C206A732D64726167';
wwv_flow_api.g_varchar2_table(9) := '6761626C65206A732D726573697A61626C65206A732D6469616C6F672D73697A653438307833323020206A732D726567696F6E4469616C6F672075692D6469616C6F672D636F6E74656E742075692D7769646765742D636F6E74656E7422207374796C65';
wwv_flow_api.g_varchar2_table(10) := '3D2277696474683A20272B6C5F436F6E6669674A534F4E2E70616E656C57496474682B223B706F736974696F6E3A2066697865643B746F703A20222B6C5F436F6E6669674A534F4E2E6D617267696E546F702B223B72696768743A20222B6C5F436F6E66';
wwv_flow_api.g_varchar2_table(11) := '69674A534F4E2E6D617267696E52696768742B223B206D696E2D6865696768743A203070783B206D61782D6865696768743A206E6F6E653B206865696768743A20222B6C5F436F6E6669674A534F4E2E70616E656C4865696768742B272021696D706F72';
wwv_flow_api.g_varchar2_table(12) := '74616E743B2220617269612D6C6976653D22706F6C697465223E20203C2F6469763E27292C4F3D2428273C64697620636C6173733D22742D4469616C6F67526567696F6E2D626F6479206A732D726567696F6E4469616C6F672D626F647922207374796C';
wwv_flow_api.g_varchar2_table(13) := '653D22626F74746F6D3A20363470783B223E3C2F6469763E27292C423D2428273C6469762069643D227265706F72745F32313433363830353034333035353736363730315F6361746368223E203C2F6469763E27292C623D2428273C6469762069643D22';
wwv_flow_api.g_varchar2_table(14) := '6163636F756E744D656E755F6D656E752220636C6173733D22612D4865616465722D6163636F756E744469616C6F672220746162696E6465783D222D31223E3C2F6469763E27292C663D2428273C64697620636C6173733D22612D4D65646961426C6F63';
wwv_flow_api.g_varchar2_table(15) := '6B20612D4D656E752D636F6E74656E74223E3C2F6469763E27292C4C3D2428273C64697620636C6173733D22612D4D65646961426C6F636B2D67726170686963223E3C2F6469763E27292C433D2428273C7370616E20636C6173733D22612D4865616465';
wwv_flow_api.g_varchar2_table(16) := '722D7573657250686F746F20612D4865616465722D7573657250686F746F2D2D6C61726765223E3C2F7370616E3E27292C483D2428273C696D67207372633D22272B692B2722206865696768743D223634222077696474683D2236342220636C6173733D';
wwv_flow_api.g_varchar2_table(17) := '22612D4865616465722D70686F746F2220616C743D2250726F66696C6520696D61676520666F72207573657220272B6F2B27223E27293B242843292E617070656E642848292C24284C292E617070656E642843293B76617220523D2428273C6120687265';
wwv_flow_api.g_varchar2_table(18) := '663D22272B732B272220636C6173733D22612D4865616465722D6163636F756E744469616C6F672D6564697450726F66696C6520612D4D656E752D6974656D20612D4D656E752D6C6162656C222069643D22454449545F50524F46494C455F4C494E4B22';
wwv_flow_api.g_varchar2_table(19) := '3E272B4E2B223C2F613E22293B24284C292E617070656E642852292C242866292E617070656E64284C293B76617220453D2428273C64697620636C6173733D22612D4D65646961426C6F636B2D636F6E74656E74223E27292C6D3D2428273C6469762063';
wwv_flow_api.g_varchar2_table(20) := '6C6173733D22612D4D656E752D6C6162656C20612D4D656E752D6974656D2220746162696E6465783D222D31223E27292C533D2428273C7370616E20636C6173733D22612D4865616465722D6469616C6F675465787420612D4865616465722D6469616C';
wwv_flow_api.g_varchar2_table(21) := '6F674E616D65223E272B6F2B2220222B742B223C2F7370616E3E22292C4D3D2428273C7370616E20636C6173733D22612D4865616465722D6469616C6F675465787420612D4865616465722D6469616C6F67557365726E616D65223E272B4D2B223C2F73';
wwv_flow_api.g_varchar2_table(22) := '70616E3E22293B24286D292E617070656E642853292C24286D292E617070656E64284D293B76617220783D2428273C64697620636C6173733D22612D4D656E752D6C6162656C20612D4D656E752D6974656D2220746162696E6465783D222D31223E3C2F';
wwv_flow_api.g_varchar2_table(23) := '6469763E27292C413D2428273C7370616E20636C6173733D22612D4865616465722D6469616C6F674C6162656C223E272B682B223C2F7370616E3E22292C443D2428273C7370616E20636C6173733D22612D4865616465722D6469616C6F6756616C7565';
wwv_flow_api.g_varchar2_table(24) := '223E272B642B223C2F7370616E3E22293B242878292E617070656E642841292C242878292E617070656E642844293B2428273C64697620636C6173733D22612D4D656E752D6C6162656C20612D4D656E752D6974656D2220746162696E6465783D222D31';
wwv_flow_api.g_varchar2_table(25) := '223E3C2F6469763E27292C2428273C7370616E20636C6173733D22612D4865616465722D6469616C6F674C6162656C223E526F6C653C2F7370616E3E27293B76617220463D2428273C7370616E20636C6173733D22612D4865616465722D6469616C6F67';
wwv_flow_api.g_varchar2_table(26) := '56616C7565223E272B6C2B223C2F7370616E3E22293B242845292E617070656E64286D292C242845292E617070656E642878292C242845292E617070656E642846292C242866292E617070656E642845292C242862292E617070656E642866292C242842';
wwv_flow_api.g_varchar2_table(27) := '292E617070656E642862292C24284F292E617070656E642842292C242849292E617070656E64284F293B76617220553D2428273C64697620636C6173733D22742D4469616C6F67526567696F6E2D627574746F6E73206A732D726567696F6E4469616C6F';
wwv_flow_api.g_varchar2_table(28) := '672D627574746F6E73223E3C2F6469763E27292C503D2428273C64697620636C6173733D22742D427574746F6E526567696F6E20742D427574746F6E526567696F6E2D2D6469616C6F67526567696F6E223E3C2F6469763E27293B66756E6374696F6E20';
wwv_flow_api.g_varchar2_table(29) := '6B28612C652C6E2C692C6F2C74297B76617220733D2428273C64697620636C6173733D22742D427574746F6E526567696F6E2D636F6C20742D427574746F6E526567696F6E2D636F6C2D2D272B612B27223E27292C643D2428273C64697620636C617373';
wwv_flow_api.g_varchar2_table(30) := '3D22742D427574746F6E526567696F6E2D627574746F6E73223E3C2F6469763E27292C6C3D2428273C627574746F6E206F6E636C69636B3D22617065782E6E617669676174696F6E2E726564697265637428272B6E2B27293B2220636C6173733D22742D';
wwv_flow_api.g_varchar2_table(31) := '427574746F6E20742D427574746F6E2D2D272B6F2B272220747970653D22627574746F6E222069643D22223E27292C723D2428273C7370616E20636C6173733D22742D427574746F6E2D6C6162656C223E272B692B223C2F7370616E3E22292C703D2428';
wwv_flow_api.g_varchar2_table(32) := '273C7370616E20636C6173733D22742D49636F6E20742D49636F6E2D2D272B652B2220666120222B742B272220617269612D68696464656E3D2274727565223E3C2F7370616E3E27293B72657475726E226C656674223D3D653F242872292E7072657065';
wwv_flow_api.g_varchar2_table(33) := '6E642870293A242872292E617070656E642870292C24286C292E617070656E642872292C242864292E617070656E64286C292C242873292E617070656E642864292C737D766172204A3D2428273C64697620636C6173733D22742D427574746F6E526567';
wwv_flow_api.g_varchar2_table(34) := '696F6E2D77726170223E3C2F6469763E27293B24284A292E617070656E64286B28226C656674222C762C752C722C5F2C6329292C24284A292E617070656E64286B28227269676874222C542C6C5F72696768745F6C696E6B2C702C6C5F72696768744275';
wwv_flow_api.g_varchar2_table(35) := '74746F6E486F742C6729292C242850292E617070656E64284A292C242855292E617070656E642850292C242849292E617070656E642855292C242822626F647922292E617070656E642849292C24282223556E697175654964466F7250726F66696C6522';
wwv_flow_api.g_varchar2_table(36) := '292E6869646528292C2428222E222B61292E616464436C61737328226E6F742D61637469766522292C2428222E6E6F742D61637469766522292E63737328226261636B67726F756E64222C6C5F436F6E6669674A534F4E2E6973496E6374697665436F6C';
wwv_flow_api.g_varchar2_table(37) := '6F72292C2428222E222B61292E62696E642822636C69636B222C66756E6374696F6E28297B242874686973292E686173436C61737328226E6F742D61637469766522293F28242874686973292E616464436C61737328226F70656E2D626F7822292C2428';
wwv_flow_api.g_varchar2_table(38) := '222E6F70656E2D626F7822292E63737328226261636B67726F756E64222C6C5F436F6E6669674A534F4E2E6973416374697665436F6C6F72292C242874686973292E72656D6F7665436C61737328226E6F742D6163746976652229293A28242874686973';
wwv_flow_api.g_varchar2_table(39) := '292E616464436C61737328226E6F742D61637469766522292C242874686973292E72656D6F7665436C61737328226F70656E2D626F7822292C2428222E6E6F742D61637469766522292E63737328226261636B67726F756E64222C6C5F436F6E6669674A';
wwv_flow_api.g_varchar2_table(40) := '534F4E2E6973496E6374697665436F6C6F7229292C24282223556E697175654964466F7250726F66696C6522292E746F67676C6528297D297D3B72657475726E7B696E697469616C697A653A66756E6374696F6E28652C6E2C692C6F297B617065782E73';
wwv_flow_api.g_varchar2_table(41) := '65727665722E706C7567696E28692C7B706167654974656D733A6E7D2C7B737563636573733A66756E6374696F6E286E297B76617220693D6E2E726F773B6128652C692C6F297D2C6572726F723A66756E6374696F6E2861297B636F6E736F6C652E6572';
wwv_flow_api.g_varchar2_table(42) := '726F7228224572726F72207768696C652074727920746F206C6F616420646174612122297D2C64617461547970653A226A736F6E227D297D7D7D28293B';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(5958913764691487)
,p_plugin_id=>wwv_flow_api.id(5795810983775809)
,p_file_name=>'apex_profiler.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '3A666F6375737B6F75746C696E653A3021696D706F7274616E747D2E50524F465F444944202E742D4469616C6F67526567696F6E2D627574746F6E737B6261636B67726F756E642D636F6C6F723A236662666266627D2E742D427574746F6E2E742D4275';
wwv_flow_api.g_varchar2_table(2) := '74746F6E2D2D6865616465723A6163746976652C2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A666F6375733A6163746976657B6261636B67726F756E642D636F6C6F723A7267626128302C302C302C302921696D706F7274616E74';
wwv_flow_api.g_varchar2_table(3) := '7D2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A6163746976653A666F6375733A6265666F72652C2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A666F6375733A6265666F72657B626F782D736861646F773A6E';
wwv_flow_api.g_varchar2_table(4) := '6F6E6521696D706F7274616E747D2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A686F7665727B6261636B67726F756E642D636F6C6F723A7267626128302C302C302C30293B626F782D736861646F773A6E6F6E6521696D706F7274';
wwv_flow_api.g_varchar2_table(5) := '616E747D2E50524F465F4449442E75692D7769646765742E75692D6469616C6F677B72696768743A3021696D706F7274616E743B6C6566743A696E697469616C21696D706F7274616E743B666C6F61743A726967687421696D706F7274616E743B746F70';
wwv_flow_api.g_varchar2_table(6) := '3A3437707821696D706F7274616E743B626F726465722D7261646975733A2E3472656D21696D706F7274616E743B626F782D736861646F773A7267626128302C302C302C2E31292030202E3472656D20312E3672656D21696D706F7274616E747D2E5052';
wwv_flow_api.g_varchar2_table(7) := '4F465F4449442E75692D6469616C6F677B77696474683A333230707821696D706F7274616E743B6865696768743A323630707821696D706F7274616E747D2365786974706F7075705F62677B6865696768743A323630707821696D706F7274616E747D2E';
wwv_flow_api.g_varchar2_table(8) := '50524F465F4449442E75692D6469616C6F67202E75692D6469616C6F672D7469746C656261727B6261636B67726F756E642D636F6C6F723A236666663B626F726465722D626F74746F6D3A31707820736F6C6964207267626128302C302C302C2E303529';
wwv_flow_api.g_varchar2_table(9) := '3B646973706C61793A6E6F6E657D2E612D4D65646961426C6F636B2E612D4D656E752D636F6E74656E747B6261636B67726F756E643A3020303B626F726465723A6E6F6E653B626F782D736861646F773A6E6F6E657D2E612D4865616465722D6163636F';
wwv_flow_api.g_varchar2_table(10) := '756E744469616C6F67202E612D4D65646961426C6F636B2D677261706869637B6D617267696E2D72696768743A313670787D2E612D4D65646961426C6F636B2D677261706869637B666C6F61743A6C6566743B6D617267696E2D72696768743A3870787D';
wwv_flow_api.g_varchar2_table(11) := '2E612D4865616465722D6163636F756E744469616C6F67202E612D4865616465722D7573657250686F746F2D2D6C617267657B6261636B67726F756E642D636F6C6F723A236638663866387D2E612D4865616465722D7573657250686F746F7B626F782D';
wwv_flow_api.g_varchar2_table(12) := '736861646F773A302030203020317078202362306230623020696E7365747D2E612D4865616465722D7573657250686F746F7B646973706C61793A696E6C696E652D626C6F636B3B77696474683A323470783B6865696768743A323470783B626F726465';
wwv_flow_api.g_varchar2_table(13) := '722D7261646975733A313030253B766572746963616C2D616C69676E3A746F703B6F766572666C6F773A68696464656E3B706F736974696F6E3A72656C61746976657D2E612D4865616465722D6163636F756E744469616C6F672E612D4D656E75202E61';
wwv_flow_api.g_varchar2_table(14) := '2D4D656E752D6C6162656C7B70616464696E673A307D2E612D4865616465722D6163636F756E744469616C6F672E612D4D656E75202E612D4D656E752D6974656D7B646973706C61793A696E68657269743B636F6C6F723A696E68657269743B6C696E65';
wwv_flow_api.g_varchar2_table(15) := '2D6865696768743A696E68657269743B666C6F61743A6E6F6E657D2E612D4865616465722D6163636F756E744469616C6F672D6564697450726F66696C652E612D4D656E752D6974656D2E612D4D656E752D6C6162656C7B746578742D616C69676E3A63';
wwv_flow_api.g_varchar2_table(16) := '656E7465727D2E612D4865616465722D6163636F756E744469616C6F672D6564697450726F66696C652E612D4D656E752D6974656D2E612D4D656E752D6C6162656C2C2E612D4D656E752D636F6E74656E74202E612D4865616465722D6469616C6F674C';
wwv_flow_api.g_varchar2_table(17) := '696E6B2E612D4D656E752D6974656D202E612D4D656E752D6C6162656C7B646973706C61793A626C6F636B3B6D617267696E2D746F703A3470783B636F6C6F723A233134366662387D2E612D4865616465722D6163636F756E744469616C6F672D656469';
wwv_flow_api.g_varchar2_table(18) := '7450726F66696C652E612D4D656E752D6974656D2E612D4D656E752D6C6162656C2C2E612D4865616465722D6469616C6F674C696E6B2E612D4D656E752D6974656D202E612D4D656E752D6C6162656C7B666F6E742D73697A653A313170783B6C696E65';
wwv_flow_api.g_varchar2_table(19) := '2D6865696768743A313670783B70616464696E673A303B626F726465722D7261646975733A3270783B7472616E736974696F6E3A6E6F6E657D2E612D4865616465722D6163636F756E744469616C6F67202E612D4D65646961426C6F636B2D636F6E7465';
wwv_flow_api.g_varchar2_table(20) := '6E747B70616464696E673A34707820307D2E612D4865616465722D7573657250686F746F2D2D6C617267652C2E612D4865616465722D7573657250686F746F2D2D6C61726765202E612D49636F6E2C2E612D4865616465722D7573657250686F746F2D2D';
wwv_flow_api.g_varchar2_table(21) := '6C6172676520696D677B77696474683A363470783B6865696768743A363470787D2E612D4865616465722D6469616C6F674E616D657B666F6E742D7765696768743A3330303B666F6E742D73697A653A323070783B6C696E652D6865696768743A323470';
wwv_flow_api.g_varchar2_table(22) := '787D2E612D4865616465722D6469616C6F67546578747B646973706C61793A626C6F636B3B6C696E652D6865696768743A313670787D2E612D4865616465722D70686F746F506C616365686F6C6465727B706F736974696F6E3A6162736F6C7574653B6C';
wwv_flow_api.g_varchar2_table(23) := '6566743A303B746F703A303B72696768743A303B626F74746F6D3A303B626F726465722D7261646975733A313030253B626F782D736861646F773A302030203020317078207267626128302C302C302C2E31352920696E7365747D2E612D486561646572';
wwv_flow_api.g_varchar2_table(24) := '2D6163636F756E744469616C6F672E612D4D656E75202E612D4D656E752D6974656D7B646973706C61793A696E68657269743B636F6C6F723A696E68657269743B6C696E652D6865696768743A696E68657269743B666C6F61743A6E6F6E657D2E612D48';
wwv_flow_api.g_varchar2_table(25) := '65616465722D6163636F756E744469616C6F672E612D4D656E75202E612D4D65646961426C6F636B2D636F6E74656E74202E612D4D656E752D6974656D2E612D4D656E752D6C6162656C7B637572736F723A64656661756C747D2E612D4865616465722D';
wwv_flow_api.g_varchar2_table(26) := '6469616C6F67557365726E616D657B666F6E742D73697A653A313170783B666F6E742D7765696768743A3430307D2E612D4865616465722D6469616C6F674C6162656C2C2E612D4865616465722D6469616C6F67557365726E616D657B636F6C6F723A23';
wwv_flow_api.g_varchar2_table(27) := '3737377D2E612D4865616465722D6469616C6F674C6162656C7B6D617267696E2D746F703A313670783B6C696E652D6865696768743A313070783B666F6E742D73697A653A3970783B646973706C61793A626C6F636B7D2E612D4865616465722D646961';
wwv_flow_api.g_varchar2_table(28) := '6C6F6756616C75657B666F6E742D73697A653A313270783B6C696E652D6865696768743A313670787D2E612D4865616465722D6469616C6F674E616D652C2E612D4865616465722D6469616C6F6756616C75657B636F6C6F723A233430343034307D2E70';
wwv_flow_api.g_varchar2_table(29) := '726F66696C652D69636F6E7B6261636B67726F756E642D636F6C6F723A7472616E73706172656E743B6261636B67726F756E642D7265706561743A6E6F2D7265706561743B6261636B67726F756E642D73697A653A323470783B646973706C61793A696E';
wwv_flow_api.g_varchar2_table(30) := '6C696E652D626C6F636B3B6865696768743A323470783B77696474683A323470783B766572746963616C2D616C69676E3A626173656C696E653B637572736F723A706F696E7465723B626F726465722D7261646975733A313030253B6D617267696E2D72';
wwv_flow_api.g_varchar2_table(31) := '696768743A3570787D';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(5959322559694664)
,p_plugin_id=>wwv_flow_api.id(5795810983775809)
,p_file_name=>'apex_profiler.min.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '3A666F637573207B0D0A202020206F75746C696E653A206E6F6E652021696D706F7274616E740D0A7D0D0A0D0A2E50524F465F444944202E742D4469616C6F67526567696F6E2D627574746F6E737B0D0A202020206261636B67726F756E642D636F6C6F';
wwv_flow_api.g_varchar2_table(2) := '723A20234642464246423B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A6163746976652C202E742D427574746F6E2E742D427574746F6E2D2D6865616465723A666F6375733A616374697665207B0D0A202020206261';
wwv_flow_api.g_varchar2_table(3) := '636B67726F756E642D636F6C6F723A207267626128302C20302C20302C203029202021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865616465723A666F6375733A6265666F72652C202E742D427574746F6E';
wwv_flow_api.g_varchar2_table(4) := '2E742D427574746F6E2D2D6865616465723A6163746976653A666F6375733A6265666F7265207B0D0A20202020626F782D736861646F773A206E6F6E652021696D706F7274616E743B0D0A7D0D0A2E742D427574746F6E2E742D427574746F6E2D2D6865';
wwv_flow_api.g_varchar2_table(5) := '616465723A686F766572207B0D0A202020206261636B67726F756E642D636F6C6F723A207267626128302C302C302C30293B0D0A20202020626F782D736861646F773A206E6F6E652021696D706F7274616E743B0D0A7D0D0A2E50524F465F4449442E75';
wwv_flow_api.g_varchar2_table(6) := '692D7769646765742E75692D6469616C6F67207B0D0A202072696768743A3070782021696D706F7274616E743B0D0A20206C6566743A696E697469616C2021696D706F7274616E743B0D0A2020666C6F61743A72696768742021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(7) := '0D0A2020746F703A343770782021696D706F7274616E743B0D0A2020626F726465722D7261646975733A2E3472656D2021696D706F7274616E743B0D0A2020626F782D736861646F773A7267626128302C302C302C2E3129203020302E3472656D20312E';
wwv_flow_api.g_varchar2_table(8) := '3672656D2021696D706F7274616E743B0D0A7D0D0A2E50524F465F4449442E75692D6469616C6F677B0D0A2020202077696474683A33323070782021696D706F7274616E743B0D0A202020206865696768743A32363070782021696D706F7274616E743B';
wwv_flow_api.g_varchar2_table(9) := '0D0A7D0D0A2365786974706F7075705F62677B0D0A20202020206865696768743A32363070782021696D706F7274616E743B0D0A7D0D0A2E50524F465F4449442E75692D6469616C6F67202E75692D6469616C6F672D7469746C65626172207B0D0A2020';
wwv_flow_api.g_varchar2_table(10) := '20206261636B67726F756E642D636F6C6F723A20236666666666663B0D0A20202020626F726465722D626F74746F6D3A2031707820736F6C6964207267626128302C20302C20302C20302E3035293B0D0A20202020646973706C61793A206E6F6E653B0D';
wwv_flow_api.g_varchar2_table(11) := '0A7D0D0A2E612D4D65646961426C6F636B2E612D4D656E752D636F6E74656E74207B0D0A202020206261636B67726F756E643A206E6F6E653B0D0A20202020626F726465723A206E6F6E653B0D0A20202020626F782D736861646F773A206E6F6E653B0D';
wwv_flow_api.g_varchar2_table(12) := '0A7D0D0A2E612D4865616465722D6163636F756E744469616C6F67202E612D4D65646961426C6F636B2D67726170686963207B0D0A202020206D617267696E2D72696768743A20313670783B0D0A7D0D0A2E612D4D65646961426C6F636B2D6772617068';
wwv_flow_api.g_varchar2_table(13) := '6963207B0D0A20202020666C6F61743A206C6566743B0D0A202020206D617267696E2D72696768743A203870783B0D0A7D0D0A2E612D4865616465722D6163636F756E744469616C6F67202E612D4865616465722D7573657250686F746F2D2D6C617267';
wwv_flow_api.g_varchar2_table(14) := '65207B0D0A202020206261636B67726F756E642D636F6C6F723A20234638463846383B0D0A7D0D0A2E612D4865616465722D7573657250686F746F207B0D0A20202020626F782D736861646F773A20302030203020317078202342304230423020696E73';
wwv_flow_api.g_varchar2_table(15) := '65743B0D0A7D0D0A2E612D4865616465722D7573657250686F746F207B0D0A20202020646973706C61793A20696E6C696E652D626C6F636B3B0D0A2020202077696474683A20323470783B0D0A202020206865696768743A20323470783B0D0A20202020';
wwv_flow_api.g_varchar2_table(16) := '626F726465722D7261646975733A20313030253B0D0A20202020766572746963616C2D616C69676E3A20746F703B0D0A202020206F766572666C6F773A2068696464656E3B0D0A20202020706F736974696F6E3A2072656C61746976653B0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(17) := '612D4865616465722D6163636F756E744469616C6F672E612D4D656E75202E612D4D656E752D6C6162656C207B0D0A2020202070616464696E673A20303B0D0A7D0D0A2E612D4865616465722D6163636F756E744469616C6F672E612D4D656E75202E61';
wwv_flow_api.g_varchar2_table(18) := '2D4D656E752D6974656D207B0D0A20202020646973706C61793A20696E68657269743B0D0A20202020636F6C6F723A20696E68657269743B0D0A202020206C696E652D6865696768743A20696E68657269743B0D0A20202020666C6F61743A206E6F6E65';
wwv_flow_api.g_varchar2_table(19) := '3B0D0A7D0D0A2E612D4865616465722D6163636F756E744469616C6F672D6564697450726F66696C652E612D4D656E752D6974656D2E612D4D656E752D6C6162656C207B0D0A20202020746578742D616C69676E3A2063656E7465723B0D0A7D0D0A2E61';
wwv_flow_api.g_varchar2_table(20) := '2D4865616465722D6163636F756E744469616C6F672D6564697450726F66696C652E612D4D656E752D6974656D2E612D4D656E752D6C6162656C2C202E612D4D656E752D636F6E74656E74202E612D4865616465722D6469616C6F674C696E6B2E612D4D';
wwv_flow_api.g_varchar2_table(21) := '656E752D6974656D202E612D4D656E752D6C6162656C207B0D0A20202020646973706C61793A20626C6F636B3B0D0A202020206D617267696E2D746F703A203470783B0D0A20202020636F6C6F723A20233134366662383B0D0A7D0D0A2E612D48656164';
wwv_flow_api.g_varchar2_table(22) := '65722D6163636F756E744469616C6F672D6564697450726F66696C652E612D4D656E752D6974656D2E612D4D656E752D6C6162656C2C202E612D4865616465722D6469616C6F674C696E6B2E612D4D656E752D6974656D202E612D4D656E752D6C616265';
wwv_flow_api.g_varchar2_table(23) := '6C207B0D0A20202020666F6E742D73697A653A20313170783B0D0A202020206C696E652D6865696768743A20313670783B0D0A2020202070616464696E673A20303B0D0A20202020626F726465722D7261646975733A203270783B0D0A20202020747261';
wwv_flow_api.g_varchar2_table(24) := '6E736974696F6E3A206E6F6E653B0D0A7D0D0A2E612D4865616465722D6163636F756E744469616C6F67202E612D4D65646961426C6F636B2D636F6E74656E74207B0D0A2020202070616464696E673A2034707820303B0D0A7D0D0A2E612D4865616465';
wwv_flow_api.g_varchar2_table(25) := '722D7573657250686F746F2D2D6C617267652C202E612D4865616465722D7573657250686F746F2D2D6C61726765202E612D49636F6E2C202E612D4865616465722D7573657250686F746F2D2D6C6172676520696D67207B0D0A2020202077696474683A';
wwv_flow_api.g_varchar2_table(26) := '20363470783B0D0A202020206865696768743A20363470783B0D0A7D0D0A2E612D4865616465722D6469616C6F674E616D65207B0D0A20202020666F6E742D7765696768743A203330303B0D0A20202020666F6E742D73697A653A20323070783B0D0A20';
wwv_flow_api.g_varchar2_table(27) := '2020206C696E652D6865696768743A20323470783B0D0A7D0D0A2E612D4865616465722D6469616C6F6754657874207B0D0A20202020646973706C61793A20626C6F636B3B0D0A202020206C696E652D6865696768743A20313670783B0D0A7D0D0A2E61';
wwv_flow_api.g_varchar2_table(28) := '2D4865616465722D70686F746F506C616365686F6C646572207B0D0A20202020706F736974696F6E3A206162736F6C7574653B0D0A202020206C6566743A20303B0D0A20202020746F703A20303B0D0A2020202072696768743A20303B0D0A2020202062';
wwv_flow_api.g_varchar2_table(29) := '6F74746F6D3A20303B0D0A20202020626F726465722D7261646975733A20313030253B0D0A20202020626F782D736861646F773A20302030203020317078207267626128302C302C302C2E313529696E7365743B0D0A7D0D0A2E612D4865616465722D61';
wwv_flow_api.g_varchar2_table(30) := '63636F756E744469616C6F672E612D4D656E75202E612D4D656E752D6974656D207B0D0A20202020646973706C61793A20696E68657269743B0D0A20202020636F6C6F723A20696E68657269743B0D0A202020206C696E652D6865696768743A20696E68';
wwv_flow_api.g_varchar2_table(31) := '657269743B0D0A20202020666C6F61743A206E6F6E653B0D0A7D0D0A2E612D4865616465722D6163636F756E744469616C6F672E612D4D656E75202E612D4D65646961426C6F636B2D636F6E74656E74202E612D4D656E752D6974656D2E612D4D656E75';
wwv_flow_api.g_varchar2_table(32) := '2D6C6162656C207B0D0A20202020637572736F723A2064656661756C743B0D0A7D0D0A2E612D4865616465722D6469616C6F67557365726E616D65207B0D0A20202020666F6E742D73697A653A20313170783B0D0A20202020666F6E742D776569676874';
wwv_flow_api.g_varchar2_table(33) := '3A203430303B0D0A7D0D0A2E612D4865616465722D6469616C6F674C6162656C2C202E612D4865616465722D6469616C6F67557365726E616D65207B0D0A20202020636F6C6F723A20233737373B0D0A7D0D0A2E612D4865616465722D6469616C6F674C';
wwv_flow_api.g_varchar2_table(34) := '6162656C207B0D0A202020206D617267696E2D746F703A20313670783B0D0A202020206C696E652D6865696768743A20313070783B0D0A20202020666F6E742D73697A653A203970783B0D0A202020202F2A20746578742D7472616E73666F726D3A2075';
wwv_flow_api.g_varchar2_table(35) := '70706572636173653B202A2F0D0A20202020646973706C61793A20626C6F636B3B0D0A7D0D0A2E612D4865616465722D6469616C6F6756616C7565207B0D0A20202020666F6E742D73697A653A20313270783B0D0A202020206C696E652D686569676874';
wwv_flow_api.g_varchar2_table(36) := '3A20313670783B0D0A7D0D0A2E612D4865616465722D6469616C6F674E616D652C202E612D4865616465722D6469616C6F6756616C7565207B0D0A20202020636F6C6F723A20233430343034303B0D0A7D0D0A2E70726F66696C652D69636F6E207B0D0A';
wwv_flow_api.g_varchar2_table(37) := '202020206261636B67726F756E642D636F6C6F723A207472616E73706172656E743B0D0A202020206261636B67726F756E642D7265706561743A206E6F2D7265706561743B0D0A202020206261636B67726F756E642D73697A653A20323470783B0D0A20';
wwv_flow_api.g_varchar2_table(38) := '202020646973706C61793A20696E6C696E652D626C6F636B3B0D0A202020206865696768743A20323470783B0D0A2020202077696474683A20323470783B0D0A20202020766572746963616C2D616C69676E3A20626173656C696E653B0D0A2020202063';
wwv_flow_api.g_varchar2_table(39) := '7572736F723A20706F696E7465723B0D0A20202020626F726465722D7261646975733A20313030253B0D0A202020206D617267696E2D72696768743A203570783B0D0A7D0D0A0D0A23556E697175654964466F7250726F66696C657B0D0A202020207A2D';
wwv_flow_api.g_varchar2_table(40) := '696E6465783A203939393939393939393939393B0D0A7D0D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(5959775946713200)
,p_plugin_id=>wwv_flow_api.id(5795810983775809)
,p_file_name=>'apex_profiler.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A210D0A202A20617065782D50726F66696C6572202D204F7261636C65204150455820706C7567696E0D0A202A2040617574686F72204173686973682053616861790D0A202A204076657273696F6E2076312E302E300D0A202A204076657273696F6E';
wwv_flow_api.g_varchar2_table(2) := '2076322E302E300D0A202A20406C696E6B2068747470733A2F2F6769746875622E636F6D2F6173686973687468656170657869616E2F617065785F70726F66696C65722E6769740D0A202A20406C6963656E7365204D49540D0A202A2F0D0A2F2A0D0A20';
wwv_flow_api.g_varchar2_table(3) := '2A2043686167654C6F673A0D0A202A2076312E302E30202D20202D20496E697469616C2052656C656173650D0A202A2F0D0A0D0A76617220617065785F70726F66696C6572203D2066756E6374696F6E202829207B0D0A090D0A090D0A09766172207574';
wwv_flow_api.g_varchar2_table(4) := '696C697479203D207B0D0A09092064656275673A207B0D0A202020202020202020202020696E666F3A2066756E6374696F6E28705F4D65737361676529207B0D0A20202020202020202020202020202020617065782E64656275672E696E666F28705F4D';
wwv_flow_api.g_varchar2_table(5) := '657373616765293B0D0A2020202020202020202020207D2C0D0A2020202020202020202020206572726F723A2066756E6374696F6E28705F4D65737361676529207B0D0A202020202020202020202020202020636F6E736F6C652E6572726F7228705F4D';
wwv_flow_api.g_varchar2_table(6) := '657373616765293B0D0A2020202020202020202020207D0D0A097D2C090D0A0964726177203A2066756E6374696F6E202870456C656D656E742C2070446174612C436F6E6669674A534F4E2C20705F686964655F6C6566745F62746E2C20705F68696465';
wwv_flow_api.g_varchar2_table(7) := '5F72696768745F62746E297B0D0A09090D0A09097661722064656661756C7473203D7B200D0A09096973416374697665436F6C6F723A202223463434333336222C0D0A09096973496E6374697665436F6C6F723A202223463462633336222C200D0A0909';
wwv_flow_api.g_varchar2_table(8) := '70616E656C4865696768743A20223231367078222C200D0A090970616E656C57496474683A20223430317078222C200D0A09096D617267696E52696768743A2022307078222C200D0A09096D617267696E546F703A202234387078220D0A09097D3B0D0A';
wwv_flow_api.g_varchar2_table(9) := '09090D0A0909747279207B0D0A202020202020202020202020202020206C5F436F6E6669674A534F4E203D204A534F4E2E706172736528436F6E6669674A534F4E290D0A2020202020202020202020207D206361746368202864656661756C747329207B';
wwv_flow_api.g_varchar2_table(10) := '0D0A20202020202020202020202020202020636F6E736F6C652E6572726F722822496E2076616C6964205365747570204A534F4E22292C20636F6E736F6C652E6572726F722864656661756C7473292C20636F6E736F6C652E6572726F7228436F6E6669';
wwv_flow_api.g_varchar2_table(11) := '674A534F4E290D0A0909097D0D0A09090D0A0909202F2F206C5F436F6E6669674A534F4E203D204A534F4E2E706172736528436F6E6669674A534F4E293B0D0A0909766172206C5F696D6167653B0D0A0909766172206C5F757365725F6C6F676F3B0D0A';
wwv_flow_api.g_varchar2_table(12) := '090976617220666E616D653B0D0A0909766172206C6E616D653B0D0A090976617220656469745F70726F66696C653B0D0A0909766172206C5F656D61696C3B0D0A0909766172206C5F6F72675F6E616D653B0D0A0909766172206C5F64657369676E6174';
wwv_flow_api.g_varchar2_table(13) := '696F6E3B0D0A0909766172206C5F6C6566745F627574746F6E5F6C61626C653B0D0A0909766172206C5F72696768745F627574746F6E5F6C61626C653B0D0A0909766172206C5F6C656674427574746F6E5F686F743B0D0A0909766172206C5F6C656674';
wwv_flow_api.g_varchar2_table(14) := '427574746F6E5F69636F6E5F706F730D0A0909766172206C5F6C656674427574746F6E5F69636F6E0D0A0909766172206C5F7269676874427574746F6E5F686F743B0D0A0909766172206C5F7269676874427574746F6E5F69636F6E5F706F730D0A0909';
wwv_flow_api.g_varchar2_table(15) := '766172206C5F7269676874427574746F6E5F69636F6E3B0D0A0909766172206C5F6C6566745F6C696E6B3B0D0A0909766172206C5F6C656674427574746F6E486F743B0D0A0909766172206C5F6C656674427574746F6E49636F6E506F733B0D0A090976';
wwv_flow_api.g_varchar2_table(16) := '6172206C5F7269676874427574746F6E49636F6E506F733B200D0A0909766172206C4F72674C6162656C3B0D0A0909766172206C4564697450726F66696C654C6162656C3B0D0A0909242E65616368287044617461202C66756E6374696F6E28696E6465';
wwv_flow_api.g_varchar2_table(17) := '782C2064617461297B0D0A0909096C5F696D616765203D20646174612E494D4147455F5352433B0D0A0909096C5F757365725F6C6F676F203D20646174612E555345525F4C4F474F3B0D0A090909666E616D65203D20646174612E46495253545F4E414D';
wwv_flow_api.g_varchar2_table(18) := '453B0D0A0909096C6E616D65203D20646174612E4C4153545F4E414D453B0D0A090909656469745F70726F66696C65203D20646174612E454449545F4C494E4B5F5352433B0D0A0909096C5F656D61696C203D20646174612E454D41494C3B0D0A090909';
wwv_flow_api.g_varchar2_table(19) := '6C5F6F72675F6E616D65203D20646174612E4F52475F4E414D453B0D0A0909096C5F64657369676E6174696F6E203D20646174612E44455349474E4154494F4E3B0D0A0909096C5F6C6566745F627574746F6E5F6C61626C65203D20646174612E4C4546';
wwv_flow_api.g_varchar2_table(20) := '545F425554544F4E5F4C4142454C3B0D0A0909096C5F72696768745F627574746F6E5F6C61626C65203D20646174612E52494748545F425554544F4E5F4C4142454C3B0D0A0909096C5F6C656674427574746F6E5F686F74203D20646174612E4C454654';
wwv_flow_api.g_varchar2_table(21) := '425554544F4E5F484F543B0D0A0909096C5F6C656674427574746F6E5F69636F6E5F706F73203D20646174612E4C454654425554544F4E5F49434F4E5F504F533B0D0A0909096C5F6C656674427574746F6E5F69636F6E203D20646174612E4C4546545F';
wwv_flow_api.g_varchar2_table(22) := '42544E5F49434F4E3B0D0A0909096C5F7269676874427574746F6E5F686F74203D20646174612E7269676874427574746F6E5F686F743B0D0A0909096C5F7269676874427574746F6E5F69636F6E5F706F73203D20646174612E7269676874427574746F';
wwv_flow_api.g_varchar2_table(23) := '6E5F69636F6E5F706F733B0D0A0909096C5F7269676874427574746F6E5F69636F6E203D20646174612E52494748545F42544E5F49434F4E3B0D0A0909096C5F6C6566745F6C696E6B203D202227222B20646174612E4C4546545F425554544F4E5F4C49';
wwv_flow_api.g_varchar2_table(24) := '4E4B202B2227223B0D0A0909096C5F72696768745F6C696E6B203D20222722202B20646174612E52494748545F425554544F4E5F4C494E4B202B202227223B0D0A0909096C5F6C656674427574746F6E486F74203D20646174612E4C4546545F42555454';
wwv_flow_api.g_varchar2_table(25) := '4F4E5F484F54203D3D20277472756527203F2027686F74273A27273B0D0A0909096C5F7269676874427574746F6E486F74203D20646174612E52494748545F425554544F4E5F484F54203D3D20277472756527203F27686F7427203A27273B0D0A090909';
wwv_flow_api.g_varchar2_table(26) := '6C5F6C656674427574746F6E49636F6E506F73203D20646174612E4C4546545F42544E5F49434F4E5F504F533B0D0A0909096C5F7269676874427574746F6E49636F6E506F73203D20646174612E52494748545F42544E5F49434F4E5F504F533B0D0A09';
wwv_flow_api.g_varchar2_table(27) := '09096C4F72674C6162656C203D20646174612E4F52475F4C4142454C3B0D0A0909096C4564697450726F66696C654C6162656C203D20646174612E454449545F4C494E4B5F4C4142454C3B0D0A09097D293B200D0A097661722077726170706572203D24';
wwv_flow_api.g_varchar2_table(28) := '28273C6469762069643D22556E697175654964466F7250726F66696C652220636C6173733D22742D4469616C6F67526567696F6E206A732D6D6F64616C206A732D647261676761626C65206A732D726573697A61626C65206A732D6469616C6F672D7369';
wwv_flow_api.g_varchar2_table(29) := '7A653438307833323020206A732D726567696F6E4469616C6F672075692D6469616C6F672D636F6E74656E742075692D7769646765742D636F6E74656E7422207374796C653D2277696474683A20272B6C5F436F6E6669674A534F4E2E70616E656C5749';
wwv_flow_api.g_varchar2_table(30) := '6474682B273B706F736974696F6E3A2066697865643B746F703A20272B6C5F436F6E6669674A534F4E2E6D617267696E546F702B273B72696768743A20272B6C5F436F6E6669674A534F4E2E6D617267696E52696768742B273B206D696E2D6865696768';
wwv_flow_api.g_varchar2_table(31) := '743A203070783B206D61782D6865696768743A206E6F6E653B207A2D696E6465783A39393939393939393939393939393B206865696768743A20272B6C5F436F6E6669674A534F4E2E70616E656C4865696768742B272021696D706F7274616E743B2220';
wwv_flow_api.g_varchar2_table(32) := '617269612D6C6976653D22706F6C697465223E20203C2F6469763E27293B0D0A090D0A0976617220726567696F6E203D202428273C64697620636C6173733D22742D4469616C6F67526567696F6E2D626F6479206A732D726567696F6E4469616C6F672D';
wwv_flow_api.g_varchar2_table(33) := '626F647922207374796C653D22626F74746F6D3A20363470783B223E3C2F6469763E27293B0D0A090D0A09766172206C5F6361746368203D202428273C6469762069643D227265706F72745F32313433363830353034333035353736363730315F636174';
wwv_flow_api.g_varchar2_table(34) := '6368223E203C2F6469763E27293B0D0A090D0A09766172206C5F6865616465725F6163636F756E744469616C6F67203D202428273C6469762069643D226163636F756E744D656E755F6D656E752220636C6173733D22612D4865616465722D6163636F75';
wwv_flow_api.g_varchar2_table(35) := '6E744469616C6F672220746162696E6465783D222D31223E3C2F6469763E27293B0D0A09766172206C5F4D656E755F636F6E74656E74203D202428273C64697620636C6173733D22612D4D65646961426C6F636B20612D4D656E752D636F6E74656E7422';
wwv_flow_api.g_varchar2_table(36) := '3E3C2F6469763E27293B0D0A090D0A09766172206C5F4D656E755F6772617068696320203D202428273C64697620636C6173733D22612D4D65646961426C6F636B2D67726170686963223E3C2F6469763E27293B0D0A0976617220686561645F7370616E';
wwv_flow_api.g_varchar2_table(37) := '203D202428273C7370616E20636C6173733D22612D4865616465722D7573657250686F746F20612D4865616465722D7573657250686F746F2D2D6C61726765223E3C2F7370616E3E27293B0D0A090D0A09766172206C5F696D6720203D202428273C696D';
wwv_flow_api.g_varchar2_table(38) := '67207372633D22272B6C5F696D6167652B2722206865696768743D223634222077696474683D2236342220636C6173733D22612D4865616465722D70686F746F2220616C743D2250726F66696C6520696D61676520666F72207573657220272B666E616D';
wwv_flow_api.g_varchar2_table(39) := '652B27223E27293B0D0A092428686561645F7370616E292E617070656E64286C5F696D67293B0D0A0924286C5F4D656E755F67726170686963292E617070656E6428686561645F7370616E293B0D0A0976617220656469745F70726F66696C655F6C696E';
wwv_flow_api.g_varchar2_table(40) := '6B203D2428273C6120687265663D22272B656469745F70726F66696C652B272220636C6173733D22612D4865616465722D6163636F756E744469616C6F672D6564697450726F66696C6520612D4D656E752D6974656D20612D4D656E752D6C6162656C22';
wwv_flow_api.g_varchar2_table(41) := '2069643D22454449545F50524F46494C455F4C494E4B223E272B6C4564697450726F66696C654C6162656C2B273C2F613E27293B0D0A090D0A0924286C5F4D656E755F67726170686963292E617070656E6428656469745F70726F66696C655F6C696E6B';
wwv_flow_api.g_varchar2_table(42) := '293B0D0A0924286C5F4D656E755F636F6E74656E74292E617070656E64286C5F4D656E755F67726170686963293B0D0A0D0A09090D0A090D0A09766172206D65646961426C6F636B203D202428273C64697620636C6173733D22612D4D65646961426C6F';
wwv_flow_api.g_varchar2_table(43) := '636B2D636F6E74656E74223E27293B0D0A09766172204D656E755F6C6162656C203D202428273C64697620636C6173733D22612D4D656E752D6C6162656C20612D4D656E752D6974656D2220746162696E6465783D222D31223E27293B0D0A0976617220';
wwv_flow_api.g_varchar2_table(44) := '6C5F6E616D65203D202428273C7370616E20636C6173733D22612D4865616465722D6469616C6F675465787420612D4865616465722D6469616C6F674E616D65223E272B666E616D652B27202720202B6C6E616D65202B273C2F7370616E3E27293B0D0A';
wwv_flow_api.g_varchar2_table(45) := '09766172206C5F656D61696C203D202428273C7370616E20636C6173733D22612D4865616465722D6469616C6F675465787420612D4865616465722D6469616C6F67557365726E616D65223E272B6C5F656D61696C2B273C2F7370616E3E27293B0D0A09';
wwv_flow_api.g_varchar2_table(46) := '0D0A0924284D656E755F6C6162656C292E617070656E64286C5F6E616D65293B0D0A0924284D656E755F6C6162656C292E617070656E64286C5F656D61696C293B0D0A090D0A09766172206C5F6D616E755F6C6162656C5F32203D202428273C64697620';
wwv_flow_api.g_varchar2_table(47) := '636C6173733D22612D4D656E752D6C6162656C20612D4D656E752D6974656D2220746162696E6465783D222D31223E3C2F6469763E27293B0D0A09766172206C5F7370616E203D202428273C7370616E20636C6173733D22612D4865616465722D646961';
wwv_flow_api.g_varchar2_table(48) := '6C6F674C6162656C223E272B6C4F72674C6162656C2B273C2F7370616E3E27293B0D0A202020202020202020202020202020200D0A09766172206469616C6F675F76616C203D202428273C7370616E20636C6173733D22612D4865616465722D6469616C';
wwv_flow_api.g_varchar2_table(49) := '6F6756616C7565223E272B6C5F6F72675F6E616D652B273C2F7370616E3E27293B0D0A090D0A0924286C5F6D616E755F6C6162656C5F32292E617070656E64286C5F7370616E293B0D0A0924286C5F6D616E755F6C6162656C5F32292E617070656E6428';
wwv_flow_api.g_varchar2_table(50) := '6469616C6F675F76616C293B0D0A090D0A09766172206C5F726F6C65203D202428273C64697620636C6173733D22612D4D656E752D6C6162656C20612D4D656E752D6974656D2220746162696E6465783D222D31223E3C2F6469763E27293B0D0A097661';
wwv_flow_api.g_varchar2_table(51) := '72206C5F726F6C655F6C6162656C203D2428273C7370616E20636C6173733D22612D4865616465722D6469616C6F674C6162656C223E526F6C653C2F7370616E3E27293B0D0A09766172206C5F726F6C655F76616C2020203D202428273C7370616E2063';
wwv_flow_api.g_varchar2_table(52) := '6C6173733D22612D4865616465722D6469616C6F6756616C7565223E272B206C5F64657369676E6174696F6E2B273C2F7370616E3E27293B0D0A090D0A0924286D65646961426C6F636B292E617070656E64284D656E755F6C6162656C293B0D0A092428';
wwv_flow_api.g_varchar2_table(53) := '6D65646961426C6F636B292E617070656E64286C5F6D616E755F6C6162656C5F32293B0D0A0924286D65646961426C6F636B292E617070656E64286C5F726F6C655F76616C293B0D0A090D0A0924286C5F4D656E755F636F6E74656E74292E617070656E';
wwv_flow_api.g_varchar2_table(54) := '64286D65646961426C6F636B293B0D0A0924286C5F6865616465725F6163636F756E744469616C6F67292E617070656E64286C5F4D656E755F636F6E74656E74293B0D0A0924286C5F6361746368292E617070656E64286C5F6865616465725F6163636F';
wwv_flow_api.g_varchar2_table(55) := '756E744469616C6F67293B0D0A092428726567696F6E292E617070656E64286C5F6361746368293B0D0A09242877726170706572292E617070656E6428726567696F6E293B0D0A090D0A09766172206C5F42746E5F636F6E7461696E6572203D20242827';
wwv_flow_api.g_varchar2_table(56) := '3C64697620636C6173733D22742D4469616C6F67526567696F6E2D627574746F6E73206A732D726567696F6E4469616C6F672D627574746F6E73223E3C2F6469763E27293B0D0A09766172206C5F42746E4469616C6F67526567696F6E20203D20242827';
wwv_flow_api.g_varchar2_table(57) := '3C64697620636C6173733D22742D427574746F6E526567696F6E20742D427574746F6E526567696F6E2D2D6469616C6F67526567696F6E223E3C2F6469763E27293B0D0A09200D0A092066756E6374696F6E2067657442746E287042746E4E756D626572';
wwv_flow_api.g_varchar2_table(58) := '2C7049636F6E506F732C20704C696E6B2C20704C6162656C2C70486F742C70427574746F6E5F69636F6E2C20705F686964655F6C6566745F62746E2C20705F686964655F72696768745F62746E20297B0D0A090909766172206C5F42746E526567696F6E';
wwv_flow_api.g_varchar2_table(59) := '436F6C203D202428273C64697620636C6173733D22742D427574746F6E526567696F6E2D636F6C20742D427574746F6E526567696F6E2D636F6C2D2D272B7042746E4E756D6265722B27223E27293B0D0A090909766172206C5F42746E526567696F6E20';
wwv_flow_api.g_varchar2_table(60) := '3D202428273C64697620636C6173733D22742D427574746F6E526567696F6E2D627574746F6E73223E3C2F6469763E27293B0D0A090909766172206C5F62746E436F6465203D202428273C627574746F6E206F6E636C69636B3D22617065782E6E617669';
wwv_flow_api.g_varchar2_table(61) := '676174696F6E2E726564697265637428272B704C696E6B2B27293B2220636C6173733D22742D427574746F6E20742D427574746F6E2D2D272B70486F742B272220747970653D22627574746F6E222069643D22223E27293B0D0A090909766172206C5F42';
wwv_flow_api.g_varchar2_table(62) := '746E4C6162656C203D202428273C7370616E20636C6173733D22742D427574746F6E2D6C6162656C223E272B704C6162656C2B273C2F7370616E3E27293B0D0A090909766172206C5F42746E49636F6E436F6465203D202428273C7370616E20636C6173';
wwv_flow_api.g_varchar2_table(63) := '733D22742D49636F6E20742D49636F6E2D2D272B7049636F6E506F732B2720666120272B70427574746F6E5F69636F6E2B272220617269612D68696464656E3D2274727565223E3C2F7370616E3E27293B0D0A0909090D0A0909090D0A09090969662028';
wwv_flow_api.g_varchar2_table(64) := '7049636F6E506F73203D3D276C6566742729207B0D0A0909090924286C5F42746E4C6162656C292E70726570656E64286C5F42746E49636F6E436F6465293B0D0A0909097D20656C7365207B0D0A0909090924286C5F42746E4C6162656C292E61707065';
wwv_flow_api.g_varchar2_table(65) := '6E64286C5F42746E49636F6E436F6465293B0D0A0909097D0D0A0909090D0A09090924286C5F62746E436F6465292E617070656E64286C5F42746E4C6162656C293B0D0A0909090D0A09090924286C5F42746E526567696F6E292E617070656E64286C5F';
wwv_flow_api.g_varchar2_table(66) := '62746E436F6465293B0D0A09090924286C5F42746E526567696F6E436F6C292E617070656E64286C5F42746E526567696F6E293B0D0A0909090D0A09090972657475726E206C5F42746E526567696F6E436F6C3B0D0A09207D0D0A09200D0A0920766172';
wwv_flow_api.g_varchar2_table(67) := '206C5F42746E57726170203D202428273C64697620636C6173733D22742D427574746F6E526567696F6E2D77726170223E3C2F6469763E27293B0D0A09200D0A092069662028705F686964655F6C6566745F62746E203D3D20274E27290D0A09207B0D0A';
wwv_flow_api.g_varchar2_table(68) := '0924286C5F42746E57726170292E617070656E642867657442746E28276C656674272C6C5F6C656674427574746F6E49636F6E506F732C206C5F6C6566745F6C696E6B2C206C5F6C6566745F627574746F6E5F6C61626C652C6C5F6C656674427574746F';
wwv_flow_api.g_varchar2_table(69) := '6E486F742C6C5F6C656674427574746F6E5F69636F6E29293B0D0A09207D0D0A092069662028705F686964655F72696768745F62746E203D3D20274E27297B0D0A0924286C5F42746E57726170292E617070656E642867657442746E2827726967687427';
wwv_flow_api.g_varchar2_table(70) := '2C6C5F7269676874427574746F6E49636F6E506F732C206C5F72696768745F6C696E6B2C206C5F72696768745F627574746F6E5F6C61626C652C6C5F7269676874427574746F6E486F742C6C5F7269676874427574746F6E5F69636F6E29293B0D0A0920';
wwv_flow_api.g_varchar2_table(71) := '7D0D0A0924286C5F42746E4469616C6F67526567696F6E292E617070656E64286C5F42746E57726170293B0D0A092024286C5F42746E5F636F6E7461696E6572292E617070656E64286C5F42746E4469616C6F67526567696F6E293B0D0A09200D0A0924';
wwv_flow_api.g_varchar2_table(72) := '2877726170706572292E617070656E64286C5F42746E5F636F6E7461696E6572293B0D0A09242827626F647927292E617070656E642877726170706572293B0D0A200D0A2024282723556E697175654964466F7250726F66696C6527292E686964652829';
wwv_flow_api.g_varchar2_table(73) := '3B0D0A202428272E272B2070456C656D656E74292E616464436C61737328276E6F742D61637469766527290D0A202F2F2428272E6E6F742D61637469766527292E63737328276261636B67726F756E64272C6C5F436F6E6669674A534F4E2E6973496E63';
wwv_flow_api.g_varchar2_table(74) := '74697665436F6C6F72293B0D0A09242820222E222B70456C656D656E7420292E63737328276261636B67726F756E642D696D616765272C202775726C2827202B206C5F757365725F6C6F676F202B20272927293B0D0A0D0A242820222E222B70456C656D';
wwv_flow_api.g_varchar2_table(75) := '656E7420292E62696E64282022636C69636B222C2066756E6374696F6E2829207B0D0A0969662028242874686973292E686173436C61737328276E6F742D61637469766527292029207B0D0A09090D0A0909242874686973292E616464436C6173732827';
wwv_flow_api.g_varchar2_table(76) := '6F70656E2D626F7827293B0D0A09092F2F2428272E6F70656E2D626F7827292E63737328276261636B67726F756E64272C6C5F436F6E6669674A534F4E2E6973416374697665436F6C6F72293B0D0A09090D0A090920242874686973292E72656D6F7665';
wwv_flow_api.g_varchar2_table(77) := '436C61737328276E6F742D61637469766527293B0D0A097D0D0A09656C7365207B0D0A0909242874686973292E616464436C61737328276E6F742D61637469766527293B0D0A090920242874686973292E72656D6F7665436C61737328276F70656E2D62';
wwv_flow_api.g_varchar2_table(78) := '6F7827293B0D0A0909202F2F2428272E6E6F742D61637469766527292E63737328276261636B67726F756E64272C6C5F436F6E6669674A534F4E2E6973496E6374697665436F6C6F72293B0D0A097D0D0A0D0A20202024282723556E697175654964466F';
wwv_flow_api.g_varchar2_table(79) := '7250726F66696C6527292E746F67676C6528293B0D0A0D0A7D293B0D0A0D0A090D0A097D7D3B0D0A090D0A092F2A7661722064613D746869733B0D0A20202020617065782E64656275672E6C6F672827617065782D50726F66696C65722E696E6974272C';
wwv_flow_api.g_varchar2_table(80) := '6461293B0D0A20202020766172206C5F686964654C65667442746E203D2064612E616374696F6E2E61747472696275746530363B0D0A09766172206C5F68696465526967687442746E203D2064612E616374696F6E2E61747472696275746530373B0D0A';
wwv_flow_api.g_varchar2_table(81) := '202020202A2F0D0A090D0A72657475726E207B0D0A202020202F2A20496E69742046756E6374696F6E2A2F0D0A20202020696E697469616C697A653A2066756E6374696F6E202870456C656D656E74436C6173732C704974656D732C20705F416A61785F';
wwv_flow_api.g_varchar2_table(82) := '4964656E7469666965722C436F6E6669674A534F4E2C20705F686964655F6C6566745F62746E2C20705F686964655F72696768745F62746E29207B0D0A0D0A0909090909617065782E7365727665722E706C7567696E28705F416A61785F4964656E7469';
wwv_flow_api.g_varchar2_table(83) := '666965722C0D0A09090909097B706167654974656D733A20704974656D737D09090909092C0D0A09090909097B0D0A090909090909737563636573733A2066756E6374696F6E2028704461746129207B0D0A09090909090909766172207461626C654461';
wwv_flow_api.g_varchar2_table(84) := '7461203D2070446174612E726F773B0D0A090909090909097574696C6974792E647261772870456C656D656E74436C6173732C207461626C65446174612C436F6E6669674A534F4E2C20705F686964655F6C6566745F62746E2C20705F686964655F7269';
wwv_flow_api.g_varchar2_table(85) := '6768745F62746E20293B0D0A0909090909097D2C0D0A0909090909096572726F723A2066756E6374696F6E2028705F416A61785F4964656E74696669657229207B0D0A09090909090909636F6E736F6C652E6572726F7228224572726F72207768696C65';
wwv_flow_api.g_varchar2_table(86) := '2074727920746F206C6F616420646174612122293B0D0A0909090909097D2C0D0A09090909090964617461547970653A20226A736F6E220D0A09090909097D293B0D0A0D0A7D7D207D28293B0D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(5960154664714870)
,p_plugin_id=>wwv_flow_api.id(5795810983775809)
,p_file_name=>'apex_profiler.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false), p_is_component_import => true);
commit;
end;
/
set verify on feedback on define on
prompt  ...done
